> ## Documentation Index
> Fetch the complete documentation index at: https://azure-foundry.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get responses input items

> Returns a list of input items for a given response.



## OpenAPI

````yaml api-reference/openai-v1.yaml get /responses/{response_id}/input_items
openapi: 3.0.0
info:
  title: Azure AI Foundry Models Service
  license:
    name: MIT
    url: https://github.com/openai/openai-openapi/blob/master/LICENSE
  version: v1
servers:
  - url: '{endpoint}/openai/v1'
    description: Azure AI Foundry Models APIs
    variables:
      endpoint:
        default: ''
        description: >-
          A supported Azure AI Foundry Models APIs endpoint, including protocol
          and hostname.

          For example:

          https://westus.api.cognitive.microsoft.com).
security:
  - ApiKeyAuth: []
  - ApiKeyAuth_: []
  - OAuth2Auth:
      - https://cognitiveservices.azure.com/.default
tags:
  - name: Chat
  - name: Embeddings
  - name: Evals
  - name: Files
  - name: Fine-tuning
  - name: Models
  - name: Responses
  - name: Vector Stores
paths:
  /responses/{response_id}/input_items:
    get:
      tags:
        - Responses
      description: Returns a list of input items for a given response.
      operationId: listInputItems
      parameters:
        - name: api-version
          in: query
          required: false
          description: >-
            The explicit Azure AI Foundry Models API version to use for this
            request.

            `v1` if not otherwise specified.
          schema:
            $ref: '#/components/schemas/AzureAIFoundryModelsApiVersion'
            default: v1
        - name: response_id
          in: path
          required: true
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: >-
            A limit on the number of objects to be returned. Limit can range
            between 1 and 100, and the

            default is 20.
          schema:
            type: integer
            format: int32
            default: 20
          explode: false
        - name: order
          in: query
          required: false
          description: >-
            Sort order by the `created_at` timestamp of the objects. `asc` for
            ascending order and`desc`

            for descending order.
          schema:
            type: string
            enum:
              - asc
              - desc
          explode: false
        - name: after
          in: query
          required: false
          description: >-
            A cursor for use in pagination. `after` is an object ID that defines
            your place in the list.

            For instance, if you make a list request and receive 100 objects,
            ending with obj_foo, your

            subsequent call can include after=obj_foo in order to fetch the next
            page of the list.
          schema:
            type: string
          explode: false
        - name: before
          in: query
          required: false
          description: >-
            A cursor for use in pagination. `before` is an object ID that
            defines your place in the list.

            For instance, if you make a list request and receive 100 objects,
            ending with obj_foo, your

            subsequent call can include before=obj_foo in order to fetch the
            previous page of the list.
          schema:
            type: string
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          headers:
            apim-request-id:
              required: false
              description: A request ID used for troubleshooting purposes.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenAI.ResponseItemList'
        default:
          description: An unexpected error response.
          headers:
            apim-request-id:
              required: false
              description: A request ID used for troubleshooting purposes.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureErrorResponse'
components:
  schemas:
    AzureAIFoundryModelsApiVersion:
      type: string
      enum:
        - v1
        - preview
    OpenAI.ResponseItemList:
      type: object
      required:
        - object
        - data
        - has_more
        - first_id
        - last_id
      properties:
        object:
          type: string
          enum:
            - list
          description: The type of object returned, must be `list`.
        data:
          type: array
          items:
            $ref: '#/components/schemas/OpenAI.ItemResource'
          description: A list of items used to generate this response.
        has_more:
          type: boolean
          description: Whether there are more items available.
        first_id:
          type: string
          description: The ID of the first item in the list.
        last_id:
          type: string
          description: The ID of the last item in the list.
      description: A list of Response items.
    AzureErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: The distinct, machine-generated identifier for the error.
            message:
              type: string
              description: A human-readable message associated with the error.
            param:
              type: string
              description: >-
                If applicable, the request input parameter associated with the
                error
            type:
              type: string
              enum:
                - error
              description: The object type, always 'error.'
            inner_error: {}
          description: The error details.
    OpenAI.ItemResource:
      type: object
      required:
        - type
        - id
      properties:
        type:
          $ref: '#/components/schemas/OpenAI.ItemType'
        id:
          type: string
      discriminator:
        propertyName: type
        mapping:
          file_search_call: '#/components/schemas/OpenAI.FileSearchToolCallItemResource'
          computer_call: '#/components/schemas/OpenAI.ComputerToolCallItemResource'
          computer_call_output: '#/components/schemas/OpenAI.ComputerToolCallOutputItemResource'
          web_search_call: '#/components/schemas/OpenAI.WebSearchToolCallItemResource'
          function_call: '#/components/schemas/OpenAI.FunctionToolCallItemResource'
          function_call_output: '#/components/schemas/OpenAI.FunctionToolCallOutputItemResource'
          reasoning: '#/components/schemas/OpenAI.ReasoningItemResource'
          image_generation_call: '#/components/schemas/OpenAI.ImageGenToolCallItemResource'
          code_interpreter_call: '#/components/schemas/OpenAI.CodeInterpreterToolCallItemResource'
          local_shell_call: '#/components/schemas/OpenAI.LocalShellToolCallItemResource'
          local_shell_call_output: '#/components/schemas/OpenAI.LocalShellToolCallOutputItemResource'
          mcp_list_tools: '#/components/schemas/OpenAI.MCPListToolsItemResource'
          mcp_approval_request: '#/components/schemas/OpenAI.MCPApprovalRequestItemResource'
          mcp_approval_response: '#/components/schemas/OpenAI.MCPApprovalResponseItemResource'
          mcp_call: '#/components/schemas/OpenAI.MCPCallItemResource'
          message: '#/components/schemas/OpenAI.ResponsesMessageItemResource'
      description: Content item used to generate a response.
    OpenAI.ItemType:
      type: string
      enum:
        - message
        - file_search_call
        - function_call
        - function_call_output
        - computer_call
        - computer_call_output
        - web_search_call
        - reasoning
        - item_reference
        - image_generation_call
        - code_interpreter_call
        - local_shell_call
        - local_shell_call_output
        - mcp_list_tools
        - mcp_approval_request
        - mcp_approval_response
        - mcp_call
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key
    ApiKeyAuth_:
      type: apiKey
      in: header
      name: authorization
    OAuth2Auth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://login.microsoftonline.com/common/oauth2/v2.0/authorize
          scopes:
            https://cognitiveservices.azure.com/.default: ''

````